Bug 195943 - User immediateScrollElementAtContentPointToOffset for scroll overlap tests
Summary: User immediateScrollElementAtContentPointToOffset for scroll overlap tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Scrolling (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-03-19 06:58 PDT by Antti Koivisto
Modified: 2019-03-21 01:26 PDT (History)
6 users (show)

See Also:


Attachments
patch (4.98 KB, patch)
2019-03-19 07:04 PDT, Antti Koivisto
simon.fraser: review+
ews-watchlist: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (2.64 MB, application/zip)
2019-03-19 08:17 PDT, EWS Watchlist
no flags Details
patch (6.42 KB, patch)
2019-03-20 23:51 PDT, Antti Koivisto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antti Koivisto 2019-03-19 06:58:01 PDT
Instead of simulated touch events.
Comment 1 Antti Koivisto 2019-03-19 07:04:23 PDT
Created attachment 365151 [details]
patch
Comment 2 EWS Watchlist 2019-03-19 08:17:04 PDT
Comment on attachment 365151 [details]
patch

Attachment 365151 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11565744

New failing tests:
imported/w3c/web-platform-tests/mediacapture-record/MediaRecorder-constructor.html
Comment 3 EWS Watchlist 2019-03-19 08:17:05 PDT
Created attachment 365159 [details]
Archive of layout-test-results from ews104 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 4 Simon Fraser (smfr) 2019-03-20 09:16:59 PDT
Comment on attachment 365151 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=365151&action=review

> LayoutTests/resources/basic-gestures.js:266
> +function immediateScrollElementAtContentPointToOffset(x, y, scrollX, scrollY)

I don't know when we put things here vs ui-helper.js. Seems like they have a lot of overlap.
Comment 5 Antti Koivisto 2019-03-20 23:51:46 PDT
Created attachment 365504 [details]
patch
Comment 6 WebKit Commit Bot 2019-03-21 01:25:23 PDT
Comment on attachment 365504 [details]
patch

Clearing flags on attachment: 365504

Committed r243281: <https://trac.webkit.org/changeset/243281>
Comment 7 WebKit Commit Bot 2019-03-21 01:25:25 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2019-03-21 01:26:21 PDT
<rdar://problem/49099567>